// remove-volume-icon - Removes the volume icon from the panel
// Copyright (c) 2011 Fabian Affolter <fabian at affolter-engineering.ch>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

const Main  = imports.ui.main;
const Panel = imports.ui.panel;

function init() {
}

function enable(){
    for (let Index = 0; Index < Main.panel._rightBox.get_children().length; Index++){
        if(Main.panel._statusArea['volume'] == 
                Main.panel._rightBox.get_children()[Index]._delegate){
            Main.panel._rightBox.get_children()[Index].destroy();
            break;           
        }
    }
    Main.panel._statusArea['volume'] = null;
}

function disable() {
    let Indicator = new Panel.STANDARD_STATUS_AREA_SHELL_IMPLEMENTATION['volume'];
        Main.panel.addToStatusArea('volume', Indicator,
                Panel.STANDARD_STATUS_AREA_ORDER.indexOf('volume'));
}
